## libpappsomspp 0.6.3-1

=== CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 03/03/2015

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(pappsomspp CXX)

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

# Gee, do not set that to default!
# set(MAKE_TEST 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
  execute_process( COMMAND cmake -E copy_if_different
    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
  )
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

IF (NOT USEPAPPSOTREE)
  SET (USEPAPPSOTREE 0)
ENDIF(NOT USEPAPPSOTREE)

IF(NOT USEQT4)
	IF(NOT USEQT5)
		SET (USEQT5 1)
	ENDIF(NOT USEQT5)
ENDIF(NOT USEQT4)

IF(USEQT5)
	IF(NOT PAPPSOMSPPWIDGET)
		SET (PAPPSOMSPPWIDGET 1)
	ENDIF(NOT PAPPSOMSPPWIDGET)
ENDIF(USEQT5)

IF(NOT CMAKE_BUILD_TYPE)
	#  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
	#      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
	#      FORCE)
	SET(CMAKE_BUILD_TYPE Release CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
		FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

MESSAGE("CMAKE_BUILD_TYPE : ${CMAKE_BUILD_TYPE}")

IF(CMAKE_BUILD_TYPE MATCHES "Release")
	MESSAGE("compiling as release version")
	ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Release" )

IF(CMAKE_BUILD_TYPE MATCHES "Debug")
	MESSAGE("compiling as debug version with MAKE_TEST: ${MAKE_TEST}.")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Debug" )

IF(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
	MESSAGE("compiling as release with debug info version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

#SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
if (CMAKE_VERSION VERSION_LESS "3.1")
	if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
		set (CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
	endif ()
else ()
	set (CMAKE_CXX_STANDARD 11)
endif ()

SET(PAPPSOMSPP_VERSION_MAJOR "0")
SET(PAPPSOMSPP_VERSION_MINOR "6")
SET(PAPPSOMSPP_VERSION_PATCH "3")
SET(PAPPSOMSPP_VERSION "${PAPPSOMSPP_VERSION_MAJOR}.${PAPPSOMSPP_VERSION_MINOR}.${PAPPSOMSPP_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
	SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

# Subdirectories
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
	ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
		COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
		COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
		COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
		COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
		COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g -DNDEBUG -DQT_NO_DEBUG -Wall -Wextra")
# Packager
SET(CPACK_PACKAGE_NAME "libpappsomspp")
SET(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
SET(CPACK_PACKAGE_VERSION "${PAPPSOMSPP_VERSION}")
SET(CPACK_PACKAGE_VERSION_MAJOR "${PAPPSOMSPP_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${PAPPSOMSPP_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${PAPPSOMSPP_VERSION_PATCH}")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The PAPPSO C++ library for mass spectrometry")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
	"CMakeFiles"
	"Makefile"
	"_CPack_Packages"
	"CMakeCache.txt"
	".*\\\\.git"
	".*\\\\.gz"
	".*\\\\.deb"
	".*\\\\.rpm"
	".*\\\\.dmg"
	".*\\\\..*\\\\.swp"
	"src/\\\\..*"
	"src/libbpp*"
	"debian/tmp"
	"debian/libbpp.*/"
	"debian/libbpp.*\\\\.so.*"
	"debian/libbpp.*\\\\.a"
	"debian/libbpp.*\\\\.substvars"
	"debian/libbpp.*\\\\.debhelper"
	"debian/debhelper\\\\.log"
	"html"
	"Core.tag"
	"Testing"
	"build/"
	"buildwin64/"
	"build-stamp"
	"install_manifest.txt"
	"DartConfiguration.tcl"
	${CPACK_SOURCE_IGNORE_FILES}
	)



#dch -Dstretch "message"
#cmake ..
#make deb
# scp libpappsomspp* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
# apt-get remove libpappsomspp*
#
#  debuild -S -sa
# dput -f olivier-langella *changes


#dpkg-deb -x libpappsomspp-qt4_0.0.4-1_amd64.deb libpappsomspp-qt4_0.0.4-1
#dpkg-gensymbols -v0 -plibpappsomspp-qt4 -Plibpappsomspp-qt4_0.0.4-1 -Osymbols
#cp symbols ../debian/libpappsomspp-qt4.symbols


#dpkg-deb -x libpappsomspp-qt5_0.0.4-1_amd64.deb libpappsomspp-qt5_0.0.4-1
#dpkg-gensymbols -v0 -plibpappsomspp-qt5 -Plibpappsomspp-qt5_0.0.4-1 -Osymbols
#cp symbols ../debian/libpappsomspp-qt5.symbols


IF (MACOS)
	SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

IF (UNIX)
	#This creates deb packages:



	add_custom_target(targz
		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz pappsomspp-${PAPPSOMSPP_VERSION}.tar.gz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating .tar.gz" VERBATIM
		)


	add_custom_target(deb
		cd pappsomspp-${PAPPSOMSPP_VERSION} && dpkg-buildpackage
		DEPENDS targz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating Debian package" VERBATIM
		)

	file(GLOB changesdebs "${CMAKE_BINARY_DIR}/pappsomspp_*.dsc")

	foreach(libfile ${changesdebs})
		SET(changesdeb "${libfile}")
	endforeach(libfile)

	message ("changes debian file : ${changesdeb}")
	#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
	add_custom_target(lintian
		lintian -IEi --pedantic ${changesdeb}
		DEPENDS deb
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "lintian check" VERBATIM
		)



	#dpkg-deb -x libpappsomspp-qt4_0.0.4-1_amd64.deb libpappsomspp-qt4_0.0.4-1
	#dpkg-gensymbols -v0 -plibpappsomspp-qt4 -Plibpappsomspp-qt4_0.0.4-1 -Osymbols
	#cp symbols ../debian/libpappsomspp-qt4.symbols


	#dpkg-deb -x libpappsomspp-qt5_0.0.4-1_amd64.deb libpappsomspp-qt5_0.0.4-1
	#dpkg-gensymbols -v0 -plibpappsomspp-qt5 -Plibpappsomspp-qt5_0.0.4-1 -Osymbols
	#cp symbols ../debian/libpappsomspp-qt5.symbols

	IF(MAKE_TEST)
		#MESSAGE("MAKE_TEST was set to ${MAKE_TEST}")
		ENABLE_TESTING()
		INCLUDE(CTest)
		IF (BUILD_TESTING)
			ADD_SUBDIRECTORY(test)
		ENDIF(BUILD_TESTING)
	ENDIF(MAKE_TEST)

	# Install cmake module
	INSTALL(FILES cmake_modules/FindPappsomspp.cmake DESTINATION share/cmake/Modules)

	# Install cmake config
	configure_file (${CMAKE_SOURCE_DIR}/cmake_modules/PappsomsppConfig.cmake ${CMAKE_SOURCE_DIR}/PappsomsppConfig.cmake)
	INSTALL(FILES ${CMAKE_SOURCE_DIR}/PappsomsppConfig.cmake DESTINATION lib${LIB_SUFFIX}/cmake/pappsomspp)



ENDIF(UNIX)

=== src/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 03/03/2015


if (ALGLIB_FOUND)
else (ALGLIB_FOUND)
    set(ALGLIB_DIR ${CMAKE_SOURCE_DIR}/cmake_modules)
    FIND_PACKAGE(ALGLIB REQUIRED)
endif (ALGLIB_FOUND)


if (Zstd_FOUND)
else (Zstd_FOUND)
    set(Zstd_DIR ${CMAKE_SOURCE_DIR}/cmake_modules)
    FIND_PACKAGE(Zstd REQUIRED)
endif (Zstd_FOUND)

if (SQLite3_FOUND)
else (SQLite3_FOUND)
    set(SQLite3_DIR ${CMAKE_SOURCE_DIR}/cmake_modules)
    FIND_PACKAGE(SQLite3 REQUIRED)
endif (SQLite3_FOUND)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake_modules)

if (Pwiz_FOUND)
else (Pwiz_FOUND)
	FIND_PACKAGE(Pwiz REQUIRED COMPONENTS chrono filesystem iostreams program_options serialization system thread)
endif (Pwiz_FOUND)

if (Boost_FOUND)
else (Boost_FOUND)
	FIND_PACKAGE(Boost REQUIRED)
endif (Boost_FOUND)



if (Boost_FOUND)
	MESSAGE("Boost_LIBRARIES found ${Boost_LIB_VERSION}")
endif (Boost_FOUND)


IF (Pwiz_FOUND)
	#INCLUDE_DIRECTORIES( ${Pwiz_INCLUDE_DIR})
	#FIND_PACKAGE(Boost REQUIRED)
	#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS})
ELSE (Pwiz_FOUND)
	MESSAGE("Proteowizard library not found")
	MESSAGE("did you apt-get install libpwiz-dev libboost-dev ?")
ENDIF (Pwiz_FOUND)


#############################################################
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldYellow}Setting -Wall.${ColourReset}")
add_definitions(-Wall)
if(WARN_AS_ERROR)
message(STATUS "${BoldYellow}Warnings treated as errors.${ColourReset}")
add_definitions(-Werror)
endif()

SET(pappsomspp_RCCS libpappsomsppresources.qrc)

# File list
SET(CPP_FILES
	pappsomspp/utils.cpp
	pappsomspp/mzrange.cpp
	pappsomspp/precision.cpp

	pappsomspp/processing/combiners/tracecombiner.cpp
	pappsomspp/processing/combiners/traceminuscombiner.cpp
	pappsomspp/processing/combiners/tracepluscombiner.cpp

	pappsomspp/processing/filters/filtermorpho.cpp
	pappsomspp/processing/filters/filterpass.cpp
	pappsomspp/processing/filters/filterresample.cpp
	pappsomspp/processing/filters/filtersuite.cpp
	pappsomspp/processing/filters/filtertandemremovec13.cpp
	pappsomspp/processing/filters/savgolfilter.cpp

	pappsomspp/massspectrum/massspectrumid.cpp
	pappsomspp/massspectrum/massspectrum.cpp
	pappsomspp/massspectrum/qualifiedmassspectrum.cpp

	pappsomspp/processing/combiners/massdatacombinerinterface.cpp
	pappsomspp/processing/combiners/massspectrumcombiner.cpp
	pappsomspp/processing/combiners/massspectrumpluscombiner.cpp
	pappsomspp/processing/combiners/massspectrumminuscombiner.cpp

	pappsomspp/amino_acid/aabase.cpp
	pappsomspp/amino_acid/aa.cpp
	pappsomspp/amino_acid/aamodification.cpp

	pappsomspp/fasta/fastafileindexer.cpp
	pappsomspp/fasta/fastareader.cpp
	pappsomspp/fasta/fastaoutputstream.cpp

	pappsomspp/grouping/grpexperiment.cpp
	pappsomspp/grouping/grppeptide.cpp
	pappsomspp/grouping/grpprotein.cpp
	pappsomspp/grouping/grpgroup.cpp
	pappsomspp/grouping/grpsubgroup.cpp
	pappsomspp/grouping/grppeptideset.cpp
	pappsomspp/grouping/grpmappeptidetogroup.cpp
	pappsomspp/grouping/grpmappeptidetosubgroupset.cpp
	pappsomspp/grouping/grpsubgroupset.cpp
	pappsomspp/grouping/grpgroupingmonitor.cpp

	pappsomspp/msfile/msfileaccessor.cpp
	pappsomspp/msfile/msfilereader.cpp
	pappsomspp/msfile/pwizmsfilereader.cpp
	pappsomspp/msfile/timsmsfilereader.cpp
	pappsomspp/msfile/xymsfilereader.cpp
	
	pappsomspp/msrun/alignment/msrunretentiontime.cpp
	pappsomspp/msrun/alignment/template.cpp
	pappsomspp/msrun/msrundatasettreenode.cpp
	pappsomspp/msrun/msrundatasettree.cpp
	pappsomspp/msrun/msrunid.cpp
	pappsomspp/msrun/msrunreader.cpp
	pappsomspp/msrun/private/pwizmsrunreader.cpp
	pappsomspp/msrun/private/timsmsrunreader.cpp
	pappsomspp/msrun/private/timsmsrunreaderms2.cpp
	pappsomspp/msrun/xymsrunreader.cpp

	pappsomspp/obo/obopsimod.cpp
	pappsomspp/obo/filterobopsimodsink.cpp
	pappsomspp/obo/filterobopsimodtermaccession.cpp
	pappsomspp/obo/filterobopsimodtermlabel.cpp
	pappsomspp/obo/filterobopsimodtermdiffmono.cpp
	pappsomspp/obo/filterobopsimodtermname.cpp

	pappsomspp/peptide/ion.cpp
	pappsomspp/peptide/peptideinterface.cpp
	pappsomspp/peptide/peptide.cpp
	pappsomspp/peptide/peptidefragment.cpp
	pappsomspp/peptide/peptidefragmention.cpp
	pappsomspp/peptide/peptidefragmentionlistbase.cpp
	pappsomspp/peptide/peptidenaturalisotope.cpp
	pappsomspp/peptide/peptidenaturalisotopelist.cpp
	pappsomspp/peptide/peptidenaturalisotopeaverage.cpp
	pappsomspp/peptide/peptiderawfragmentmasses.cpp
	pappsomspp/peptide/peptidestrparser.cpp

	pappsomspp/protein/protein.cpp
	pappsomspp/protein/enzyme.cpp
	pappsomspp/protein/peptidesizefilter.cpp
	pappsomspp/protein/peptidebuilder.cpp
	pappsomspp/protein/peptidevariablemodificationbuilder.cpp
	pappsomspp/protein/peptidevariablemodificationreplacement.cpp
	pappsomspp/protein/peptidefixedmodificationbuilder.cpp
	pappsomspp/protein/peptidemodificatorbase.cpp
	pappsomspp/protein/peptidemodificatortee.cpp
	pappsomspp/protein/peptidemethioninremove.cpp
	pappsomspp/protein/peptidemodificatorpipeline.cpp
	pappsomspp/protein/peptidesemienzyme.cpp

	pappsomspp/psm/experimental/ionisotoperatioscore.cpp
	pappsomspp/psm/morpheus/morpheusscore.cpp
	pappsomspp/psm/peakionmatch.cpp
	pappsomspp/psm/peakionisotopematch.cpp
	pappsomspp/psm/peptidespectrummatch.cpp
	pappsomspp/psm/peptideisotopespectrummatch.cpp
	pappsomspp/psm/xtandem/xtandemhyperscore.cpp
	pappsomspp/psm/xtandem/xtandemhyperscorebis.cpp
	pappsomspp/psm/xtandem/xtandemspectrumprocess.cpp

	pappsomspp/trace/datapoint.cpp
	pappsomspp/trace/linearregression.cpp
	pappsomspp/trace/maptrace.cpp
	pappsomspp/trace/trace.cpp
	
	pappsomspp/vendors/tims/timsbindec.cpp
	pappsomspp/vendors/tims/timsdata.cpp
	pappsomspp/vendors/tims/timsframe.cpp

	pappsomspp/xic/xic.cpp
	pappsomspp/xic/qualifiedxic.cpp
	pappsomspp/xic/xicpeptideinterface.cpp
	pappsomspp/xic/xicpeptidefragmention.cpp
	pappsomspp/xic/xicpeptidefragmentionnaturalisotope.cpp

	pappsomspp/processing/detection/tracedetectionzivy.cpp
	pappsomspp/processing/detection/tracedetectionmoulon.cpp
	pappsomspp/processing/detection/tracepeak.cpp

	pappsomspp/xicextractor/private/msrunslice.cpp
	pappsomspp/xicextractor/private/msrunxicextractor.cpp
	pappsomspp/xicextractor/private/msrunxicextractordisk.cpp
	pappsomspp/xicextractor/private/msrunxicextractordiskbuffer.cpp
	pappsomspp/xicextractor/msrunxicextractorfactory.cpp
	pappsomspp/xicextractor/msrunxicextractorinterface.cpp
	)

#qt5-default qtbase5-dev

#IF (UNIX)
FIND_PACKAGE( Qt5 COMPONENTS Core Gui Svg Xml PrintSupport Sql REQUIRED )
#ENDIF (UNIX)

MESSAGE ("Qt5Core_LIBRARIES ${Qt5Core_LIBRARIES}")
MESSAGE ("QT_CORE_LIB ${QT_CORE_LIB}")

#MESSAGE ("Qt5::Core ${Qt5::Core}")

# generate rules for building source files from the resources
QT5_ADD_RESOURCES(pappsomspp_RCC_SRCS ${pappsomspp_RCCS})

# generate rules for building source files that moc generates
#QT5_WRAP_CPP(QtApp_MOC_SRCS ${QtApp_MOCS})

# Build the static lib
ADD_LIBRARY(pappsomspp-static-qt5 STATIC ${CPP_FILES} ${pappsomspp_RCC_SRCS})
target_include_directories (pappsomspp-static-qt5 PUBLIC ${Qt5Core_INCLUDES} ${Qt5Gui_INCLUDES} ${Pwiz_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})

SET_TARGET_PROPERTIES(pappsomspp-static-qt5
	PROPERTIES OUTPUT_NAME pappsomspp-qt5
	CLEAN_DIRECT_OUTPUT 1
	CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}"
	)

if (MINGW)
	TARGET_LINK_LIBRARIES(pappsomspp-static-qt5 ${Pwiz_LIBRARY} ${QCustomPlot_LIBRARIES}
		${Boost_chrono_LIBRARY}
		${Boost_filesystem_LIBRARY}
		${Boost_iostreams_LIBRARY}
		${Boost_program_options_LIBRARY}
		${Boost_serialization_LIBRARY}
		${Boost_system_LIBRARY}
		${Boost_thread_LIBRARY}
		${ZLIB_LIBRARIES}
		Qt5::Gui
		Qt5::Xml
		Qt5::Svg
		Qt5::PrintSupport
		Qt5::Sql
        Zstd::Zstd
        ALGLIB::ALGLIB
        SQLite::SQLite3
		)
else (MINGW)
	TARGET_LINK_LIBRARIES(pappsomspp-static-qt5 ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Pwiz_LIBRARY}
		${ZLIB_LIBRARIES}
		Qt5::Gui
		Qt5::Xml
		Qt5::Svg
		Qt5::PrintSupport
		Qt5::Sql
        Zstd::Zstd
        ALGLIB::ALGLIB
        SQLite::SQLite3
        )
endif (MINGW)


ADD_LIBRARY(pappsomspp-shared-qt5 SHARED ${CPP_FILES} ${pappsomspp_RCC_SRCS})
target_include_directories (pappsomspp-shared-qt5 PUBLIC ${Qt5Core_INCLUDES} ${Qt5Gui_INCLUDES} ${Pwiz_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})
SET_TARGET_PROPERTIES(pappsomspp-shared-qt5
	PROPERTIES OUTPUT_NAME pappsomspp-qt5
	CLEAN_DIRECT_OUTPUT 1
	VERSION ${PAPPSOMSPP_VERSION}
	SOVERSION ${PAPPSOMSPP_VERSION_MAJOR}
	CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS}"
	)

if (MINGW)
	TARGET_LINK_LIBRARIES(pappsomspp-shared-qt5 ${Pwiz_LIBRARY} ${QCustomPlot_LIBRARIES}
		${Boost_chrono_LIBRARY}
		${Boost_filesystem_LIBRARY}
		${Boost_iostreams_LIBRARY}
		${Boost_program_options_LIBRARY}
		${Boost_serialization_LIBRARY}
		${Boost_system_LIBRARY}
		${Boost_thread_LIBRARY}
		${ZLIB_LIBRARIES}
		Qt5::Gui
		Qt5::Xml
		Qt5::Svg
		Qt5::PrintSupport
		Qt5::Sql
        Zstd::Zstd
        ALGLIB::ALGLIB
        SQLite::SQLite3
    )
else (MINGW)
	TARGET_LINK_LIBRARIES(pappsomspp-shared-qt5 ${LIBS} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Pwiz_LIBRARY}
		${ZLIB_LIBRARIES}
		
		Qt5::Gui
		Qt5::Xml
		Qt5::Svg
		Qt5::PrintSupport
		Qt5::Sql
        Zstd::Zstd
        ALGLIB::ALGLIB
        SQLite::SQLite3)
endif (MINGW)


# Install libs
if (MINGW)
else (MINGW)
	INSTALL(TARGETS pappsomspp-shared-qt5 LIBRARY DESTINATION lib${LIB_SUFFIX})
endif (MINGW)
INSTALL(TARGETS pappsomspp-static-qt5 DESTINATION lib${LIB_SUFFIX})


# Install headers
INSTALL(DIRECTORY pappsomspp/ DESTINATION include/pappsomspp FILES_MATCHING PATTERN "*.h")

IF (CMAKE_SYSTEM_NAME MATCHES "Windows")
	add_subdirectory("testwin64")
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Windows")


#IF(NOT PAPPSOMSPPWIDGET)
ADD_SUBDIRECTORY("pappsomspp/widget")
#ENDIF(NOT PAPPSOMSPPWIDGET)

=== test/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 03/03/2015 from the CMakeLists file of the Bio++ project

configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)

#apt-get install libpwiz-dev libboost-dev
#CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"
#make test ARGS="-V -I 4,4"

#export LD_LIBRARY_PATH=/home/langella/developpement/git/pappsomspp/build/src:$LD_LIBRARY_PATH

#set(CMAKE_MODULE_PATH "/usr/share/cmake-3.0/Modules")
FIND_PACKAGE( Odsstream REQUIRED )
INCLUDE_DIRECTORIES(${ODSSTREAM_INCLUDE_DIR})

MACRO(TEST_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH("${CMAKE_SOURCE_DIR}/src" ${include_to_find})

  SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES})
  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    MESSAGE(WARNING "Library ${lib_name} is already installed in the system tree. Test will be built against it. This may lead to unexpected results. You may want to do 'make install' before 'make test', or remove the installed version.")
  ELSE()
    MESSAGE("${lib_name}_LIBRARY -L../src -l${lib_name}")
    MESSAGE("${lib_name}_INCLUDE_DIR ../src/")
    MESSAGE("${LIBS}")
    SET(${lib_name}_LIBRARY "-L../src -l${lib_name}")
    SET(${lib_name}_INCLUDE_DIR "../src/")
  ENDIF()
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(TEST_FIND_LIBRARY)



# File list
SET(CPP_TEST_FILES
  saxparsers/xtandemresultshandler.cpp
  )
  
  #Find the bpp-core library library:
  TEST_FIND_LIBRARY(LIBS pappsomspp-qt5 pappsomspp/types.h pappsomspp/peptide/peptidenaturalisotopelist.h)

  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )
  FIND_PACKAGE( Qt5Gui REQUIRED )
  INCLUDE_DIRECTORIES(${Qt5Core_INCLUDES} ${Qt5Xml_INCLUDES} ${Qt5Gui_INCLUDES})
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")
 
  set(QTLIBS ${Qt5Core_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5Gui_LIBRARIES})
  set(ODSLIBS ${ODSSTREAM_QT5_LIBRARY})
 


message("qtlibs used for tests :  ${QTLIBS}")
  
   MESSAGE ("CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS}")
  MESSAGE ("LIBS ${LIBS}")


ADD_EXECUTABLE(test_fasta_reader test_fasta_reader.cpp)
TARGET_LINK_LIBRARIES(test_fasta_reader ${LIBS} ${QTLIBS})
ADD_TEST(test_fasta_reader "test_fasta_reader")


ADD_EXECUTABLE(test_protein test_protein.cpp)
TARGET_LINK_LIBRARIES(test_protein ${LIBS} ${QTLIBS})
ADD_TEST(test_protein "test_protein")

ADD_EXECUTABLE(test_xic test_xic.cpp)
TARGET_LINK_LIBRARIES(test_xic ${LIBS} ${QTLIBS} ${ODSLIBS})
ADD_TEST(test_xic "test_xic")


ADD_EXECUTABLE(test_massrange test_massrange.cpp)
TARGET_LINK_LIBRARIES(test_massrange ${LIBS} ${QTLIBS})
ADD_TEST(test_massrange "test_massrange")

ADD_EXECUTABLE(test_aa test_aa.cpp)
TARGET_LINK_LIBRARIES(test_aa ${LIBS} ${QTLIBS})
ADD_TEST(test_aa "test_aa")

ADD_EXECUTABLE(test_peptide test_peptide.cpp)
TARGET_LINK_LIBRARIES(test_peptide ${LIBS} ${QTLIBS})
ADD_TEST(test_peptide "test_peptide")

ADD_EXECUTABLE(test_peptidenaturalisotopelist test_peptidenaturalisotopelist.cpp)
TARGET_LINK_LIBRARIES(test_peptidenaturalisotopelist ${LIBS} ${QTLIBS})
ADD_TEST(test_peptidenaturalisotopelist "test_peptidenaturalisotopelist")


ADD_EXECUTABLE(test_natural_isotope_average test_natural_isotope_average.cpp)
TARGET_LINK_LIBRARIES(test_natural_isotope_average ${LIBS} ${QTLIBS})
ADD_TEST(test_natural_isotope_average "test_natural_isotope_average")


ADD_EXECUTABLE(test_peptidefragment test_peptidefragment.cpp)
TARGET_LINK_LIBRARIES(test_peptidefragment ${LIBS} ${QTLIBS})
ADD_TEST(test_peptidefragment "test_peptidefragment")

ADD_EXECUTABLE(test_fragmentationcid test_fragmentationcid.cpp)
TARGET_LINK_LIBRARIES(test_fragmentationcid ${LIBS} ${QTLIBS})
ADD_TEST(test_fragmentationcid "test_fragmentationcid")

#IF (FALSE) 
ADD_EXECUTABLE(test_big_hyperscore test_big_hyperscore.cpp ${CPP_TEST_FILES})
TARGET_LINK_LIBRARIES(test_big_hyperscore ${LIBS} ${QTLIBS})
ADD_TEST(test_big_hyperscore "test_big_hyperscore")
#ENDIF(FALSE)


ADD_EXECUTABLE(test_rawmasslist test_rawmasslist.cpp)
TARGET_LINK_LIBRARIES(test_rawmasslist ${LIBS} ${QTLIBS})
ADD_TEST(test_rawmasslist "test_rawmasslist")


  ADD_EXECUTABLE(test_isotope_with_spectrum test_isotope_with_spectrum.cpp)
  TARGET_LINK_LIBRARIES(test_isotope_with_spectrum ${LIBS}  ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_isotope_with_spectrum "test_isotope_with_spectrum")
  SET(TEST_LIST ${TEST_LIST} test_isotope_with_spectrum)
  
  ADD_EXECUTABLE(test_hyperscore test_hyperscore.cpp)
  TARGET_LINK_LIBRARIES(test_hyperscore ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_hyperscore "test_hyperscore")
  SET(TEST_LIST ${TEST_LIST} test_hyperscore)

  ADD_EXECUTABLE(test_xtandem_spectrum test_xtandem_spectrum.cpp)
  TARGET_LINK_LIBRARIES(test_xtandem_spectrum ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_xtandem_spectrum "test_xtandem_spectrum")
  SET(TEST_LIST ${TEST_LIST} test_xtandem_spectrum)

    ADD_EXECUTABLE(test_scan_15968 test_scan_15968.cpp)
  TARGET_LINK_LIBRARIES(test_scan_15968 ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_scan_15968 "test_scan_15968")
  SET(TEST_LIST ${TEST_LIST} test_scan_15968)

    ADD_EXECUTABLE(test_psm test_psm.cpp)
  TARGET_LINK_LIBRARIES(test_psm ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_psm "test_psm")
  SET(TEST_LIST ${TEST_LIST} test_psm)

      ADD_EXECUTABLE(test_xicextractor test_xicextractor.cpp)
  TARGET_LINK_LIBRARIES(test_xicextractor ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_xicextractor "test_xicextractor")
  SET(TEST_LIST ${TEST_LIST} test_xicextractor)
  
ADD_EXECUTABLE(test_trace_filters test_trace_filters.cpp)
  TARGET_LINK_LIBRARIES(test_trace_filters ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES})
  ADD_TEST(test_trace_filters "test_trace_filters")
  SET(TEST_LIST ${TEST_LIST} test_trace_filters)
  
  
  ADD_EXECUTABLE(test_msrunalignment test_msrunalignment.cpp)
  TARGET_LINK_LIBRARIES(test_msrunalignment ${LIBS} ${QTLIBS} ${Pwiz_LIBRARY} ${Boost_LIBRARIES}  ${ODSLIBS})
  ADD_TEST(test_msrunalignment "test_msrunalignment")
  SET(TEST_LIST ${TEST_LIST} test_msrunalignment)

IF(UNIX)
  SET_PROPERTY(TEST  test_big_hyperscore test_xic test_protein test_fasta_reader test_massrange test_aa test_peptide test_peptidenaturalisotopelist  test_peptidefragment test_fragmentationcid ${TEST_LIST} test_natural_isotope_average test_rawmasslist PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
ENDIF()

IF(WIN32)
  SET(ENV{PATH} "$ENV{PATH};..\\src")
ENDIF()

=== src/pappsomspp/widget/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 22/12/2017

FIND_PACKAGE( Qt5 COMPONENTS Core Gui PrintSupport Svg REQUIRED )
if (MINGW)
else (MINGW)
    if (QCustomPlot_FOUND)
        MESSAGE("QCustomPlot_INCLUDES found ${QCustomPlot_INCLUDES}")
    else (QCustomPlot_FOUND)
        FIND_PACKAGE( QCustomPlot REQUIRED )
    endif (QCustomPlot_FOUND)
endif (MINGW)

# File list
SET(PAPPSOWIDGET_CPP_FILES
    graphicdevicewidget.cpp
    precisionwidget/precisionwidget.cpp
    massspectrumwidget/qcpspectrum.cpp
    massspectrumwidget/massspectrumwidget.cpp
    xicwidget/qcpxic.cpp
    xicwidget/xicwidget.cpp
		basetraceplotwidget/basetraceplotwidget.cpp
)

# Build the static lib
ADD_LIBRARY(pappsomspp-widget-static-qt5 STATIC ${PAPPSOWIDGET_CPP_FILES})
target_include_directories (pappsomspp-widget-static-qt5 PUBLIC ${Qt5Core_INCLUDES} ${Qt5Svg_INCLUDES} ${Qt5Gui_INCLUDES} ${QCustomPlot_INCLUDES})
SET_TARGET_PROPERTIES(pappsomspp-widget-static-qt5
    PROPERTIES OUTPUT_NAME pappsomspp-widget-qt5
    CLEAN_DIRECT_OUTPUT 1
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS} ${Qt5Svg_EXECUTABLE_COMPILE_FLAGS}"
)
TARGET_LINK_LIBRARIES(pappsomspp-widget-static-qt5 ${QCustomPlot_LIBRARIES} Qt5::Widgets Qt5::Svg Qt5::PrintSupport)
if (MINGW)
else (MINGW)
	INSTALL(TARGETS pappsomspp-widget-static-qt5 DESTINATION lib${LIB_SUFFIX})
endif (MINGW)

# Build the shared lib
ADD_LIBRARY(pappsomspp-widget-shared-qt5 SHARED ${PAPPSOWIDGET_CPP_FILES})
target_include_directories (pappsomspp-widget-shared-qt5 PUBLIC ${Qt5Core_INCLUDES} ${Qt5Gui_INCLUDES} ${Qt5Svg_INCLUDES} ${QCustomPlot_INCLUDES})
SET_TARGET_PROPERTIES(pappsomspp-widget-shared-qt5
    PROPERTIES OUTPUT_NAME pappsomspp-widget-qt5
    CLEAN_DIRECT_OUTPUT 1
    VERSION ${PAPPSOMSPP_VERSION}
    SOVERSION ${PAPPSOMSPP_VERSION_MAJOR}
    #COMPILE_DEFINITIONS " ${QT_DEFINITIONS}"
    #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
)
TARGET_LINK_LIBRARIES(pappsomspp-widget-shared-qt5 ${QCustomPlot_LIBRARIES} Qt5::Widgets Qt5::Svg Qt5::PrintSupport pappsomspp-shared-qt5)

if (MINGW)
else (MINGW)
	INSTALL(TARGETS pappsomspp-widget-shared-qt5 LIBRARY DESTINATION lib${LIB_SUFFIX})
endif (MINGW)



# Install headers
INSTALL(DIRECTORY pappsomspp/widget DESTINATION include/pappsomspp/widget FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
libpappsomspp (0.6.3-1) stretch; urgency=medium

  * better BaseTracePlotWidget
  * new callback function to cancel msrunreader operation
  * new set of objects to handle Bruker's Tims TOF raw data natively
  * new MsRunReaders for Bruker's Tims TOF raw data (incomplete)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 11 Sep 2019 09:57:57 +0200

libpappsomspp (0.6.2-1) buster; urgency=medium

  * first buster package
  * new BaseTracePlotWidget designed by Filippo Rusconi
  * FastaFileIndexer object
  * new function hasScanNumbers to know if an MSrun file can be accessed using scan numbers
    (true with Thermo, false with others)
  * peptide palindrome test
  * new code to compute natural isotope average
  * new constructor Trace(const MapTrace &map_trace) to build directly a Trace from MapTrace

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Jul 2019 14:23:52 +0200

libpappsomspp (0.6.1-1) stretch; urgency=medium

  * huge refactoring with Filippo Rusconi
  * work in progress to define a tree structure and browse MS runs
  * new object and API to align MS runs using the MS2 method

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 08 Jun 2019 19:29:09 +0200

libpappsomspp (0.6.0-1) stretch; urgency=medium

  * huge refactoring with Filippo Rusconi
  * all filters now available on a Trace object with a simple interface
  * peak detection as a new simple interface that can be used on any Trace
  * new feature to combine several traces or mass spectrum
  * mass spectrum scan numbers are deprecated in favor of a simple index of the scan
  * a new msfile accessor is available to handle multiple ms runs into a single file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 May 2019 11:00:11 +0200

libpappsomspp (0.5.1-1) stretch; urgency=medium

  * better packaging
  * mutation support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 23 Mar 2019 07:27:31 +0100

libpappsomspp (0.5.0-1) stretch; urgency=medium

  * library entirely refactored with Filippo Rusconi
  * better documentation
  * coding standards available

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 06 Feb 2019 10:27:13 +0100

libpappsomspp (0.4.5-1) stretch; urgency=medium

  * new package with graphical bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jan 2019 15:49:32 +0100

libpappsomspp (0.4.4-5) stretch; urgency=medium

  * new pwiz library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 21:24:24 +0100

libpappsomspp (0.4.4-3) stretch; urgency=medium

  * new qcustomplot library 2.0.1

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Dec 2018 19:07:06 +0100

libpappsomspp (0.4.4-1) unstable; urgency=low

  * Packaging for first upload to the NEW queue.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Dec 2018 11:06:34 +0100

libpappsomspp (0.4.3-2) stretch; urgency=medium

  * fix MGF precursor scan num empty

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 02 Nov 2018 13:44:50 +0100

=== debian/control ===
Source: libpappsomspp
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 2.6),
               d-shlibs,
               qtbase5-dev,
               libqt5svg5-dev (>= 5.7.0),
               libqcustomplot-dev(>= 2.0.1),
               libpwiz-dev,
               libboost-dev,
               libodsstream-qt5-dev,
               libalglib-dev,
               libsqlite3-dev,
               libzstd-dev (>= 1.3.8),
               doxygen
Standards-Version: 4.3.0
Vcs-Browser: https://sourcesup.renater.fr/scm/browser.php?group_id=1721
Vcs-Git: git://git.renater.fr/pappsomspp.git


Package: libpappsomspp-qt5-0
Depends: libpappsomspp0, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp0
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-qt5-0 (<< 0.6.0)
Breaks: libpappsomspp-qt5-0 (<< 0.6.0)
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: C++ library to handle proteomic data (non-gui runtime files)
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...
 .
 This package ships the non-GUI library.


Package: libpappsomspp-qt5-dev
Depends: libpappsomspp-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-qt5-dev (<< 0.6.0)
Breaks: libpappsomspp-qt5-dev (<< 0.6.0)
Depends: libpappsomspp0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: C++ library to handle proteomic data (development files)
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...
 .
 This package ships the development files.


Package: libpappsomspp-widget-qt5-0
Depends: libpappsomspp-widget0, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-widget0
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-widget-qt5-0 (<< 0.6.0)
Breaks: libpappsomspp-widget-qt5-0 (<< 0.6.0)
Depends: libpappsomspp0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: C++ library to handle proteomic data (gui runtime files)
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...
 .
 This package ships the GUI library.


Package: libpappsomspp-widget-qt5-dev
Depends: libpappsomspp-widget-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libpappsomspp-widget-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libpappsomspp-widget-qt5-dev (<< 0.6.0)
Breaks: libpappsomspp-widget-qt5-dev (<< 0.6.0)
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: C++ library to handle proteomic data (gui development files)
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...
 .
 This package ships the development files.

Package: libpappsomspp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: C++ library to handle proteomic data (developer documentation)
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications.
 .
 This packages ships the Doxygen-based developer documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake
#	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_INSTALL_PREFIX=/usr -DUSEQT4=0 -DUSEQT5=1 -DCMAKE_BUILD_TYPE=Release  -DMAKE_TEST=0 -DCMAKE_SKIP_RPATH=1 -DUSEPAPPSOTREE=0

override_dh_auto_build:
	dh_auto_build --no-parallel
	dh_auto_build -- doc
